# Mozilla User Preferences

/* 
 * To make a manual change to preferences, you can visit the URL about:config
 * For more information, see http://www.mozilla.org/unix/customizing.html
 * (these can be done via about:config, prefs.js or user.js)
 */

// 預設『字型與顏色』為 zh-tw(正體中文)
// make default Fonts as zh-tw(Taditional Chinese)
user_pref("font.language.group", "zh-TW");

// 網頁語系自動偵測: 中日韓 (CJK)
// Autodecting Web language as: Chinese,Japanese, Korean (CJK)
user_pref("intl.charset.detector", "cjk_parallel_state_machine");

// 新同文堂: 自動轉正體中文(traditional)
user_pref("tongwentang.autoconvert.chineseCharset", "traditional");

// 列印方面的設定, 若有其他需求，請自行修改 :)
user_pref("print.postscript.nativecode.zh-TW", "Big5");
user_pref("print.postscript.nativefont.zh-TW", "MOESung-Regular-ETen-B5-H");
// 以下參考 statue 的設定
// http://netlab.cse.yzu.edu.tw/~statue/freebsd/zh-tut/mozilla.html
user_pref("print.printer_PostScript/default.print_command", "gs -q -sDEVICE=pswrite \"-sOutputFile=/tmp/out.ps\" \"-dNOPAUSE -dBATCH -dSAFER\" && lpr ${MOZ_PRINTER_NAME:+'-P'}${MOZ_PRINTER_NAME /tmp/out.ps && rm -f \"/tmp/out.ps\"}");

// 避免在逛類似奇摩新聞的網頁時，小字顯示過小問題
// Avoid some situation that the size of minimum font is too smalll to see
user_pref("font.minimum-size.zh-TW", 12);

// 直接用滑鼠中鍵(滾輪鍵)就開啟剪貼簿中的 URL
// Use the Middle mouse key to load URL in clipbook
user_pref("middlemouse.contentLoadURL", true);

// 凡是 _blank 開新窗(newwindow) 的連結都改為開到新分頁
user_pref("browser.link.open_newwindow", 3);
user_pref("browser.link.open_newwindow.restriction", 2);

// 改為不要自動縮放圖片
// Disable the automatation of image resizing
user_pref("browser.enable_automatic_image_resizing", false);

// 進入有加密連線的網站不要出現警告視窗
// Disable the warning window while entering security site
user_pref("security.warn_entering_secure", false);

// 顯示 plugin 的完整路徑 
// show full path to plugins in about:plugins
user_pref("plugin.expose_full_path", true);

// 縮短啟動程式的等待時間
// make the program start more faster
user_pref("browser.turbo.enabled", true);
